/*
 * linux/arch/sh/edosk7705/mach.c
 *
 * Minor tweak of mach_se.c file to reference EDOSK7705.
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See linux/COPYING for more information.
 *
 * Machine vector for the Renesas EDOSK7705 board.
 */

#include <linux/config.h>
#include <linux/init.h>

#include <asm/machvec.h>
#include <asm/rtc.h>
#include <asm/machvec_init.h>

#include <asm/io_edosk7705.h>

void heartbeat_edosk7705(void);
void setup_edosk7705(void);
void init_edosk7705(void);

/*
 * The Machine Vector
 */

struct sh_machine_vector mv_edosk7705 __initmv = {
	mv_name:		"EDOSK7705",

	mv_nr_irqs:		112,

	mv_inb:			sh_edosk7705_inb,
	mv_inw:			sh_edosk7705_inw,
	mv_inl:			sh_edosk7705_inl,
	mv_outb:		sh_edosk7705_outb,
	mv_outw:		sh_edosk7705_outw,
	mv_outl:		sh_edosk7705_outl,

	mv_inb_p:		sh_edosk7705_inb_p,
	mv_inw_p:		sh_edosk7705_inw,
	mv_inl_p:		sh_edosk7705_inl,
	mv_outb_p:		sh_edosk7705_outb_p,
	mv_outw_p:		sh_edosk7705_outw,
	mv_outl_p:		sh_edosk7705_outl,

	mv_insb:		sh_edosk7705_insb,
	mv_insw:		sh_edosk7705_insw,
	mv_insl:		sh_edosk7705_insl,
	mv_outsb:		sh_edosk7705_outsb,
	mv_outsw:		sh_edosk7705_outsw,
	mv_outsl:		sh_edosk7705_outsl,

	mv_readb:		sh_edosk7705_readb,
	mv_readw:		sh_edosk7705_readw,
	mv_readl:		sh_edosk7705_readl,
	mv_writeb:		sh_edosk7705_writeb,
	mv_writew:		sh_edosk7705_writew,
	mv_writel:		sh_edosk7705_writel,

	mv_ioremap:		generic_ioremap,
	mv_iounmap:		generic_iounmap,
	mv_isa_port2addr:	sh_edosk7705_isa_port2addr,
	mv_init_arch:		setup_edosk7705,
	mv_init_irq:		init_edosk7705,
#ifdef CONFIG_HEARTBEAT
	mv_heartbeat:		heartbeat_edosk7705,
#endif

	mv_rtc_gettimeofday:	sh_rtc_gettimeofday,
	mv_rtc_settimeofday:	sh_rtc_settimeofday,

	mv_hw_edosk7705:		1,
};
ALIAS_MV(edosk7705)
