/*
 * linux/arch/sh/edosk7751r/mach.c
 *
 * Minor tweak of mach_se.c file to reference EDOSK7751r.
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See linux/COPYING for more information.
 *
 * Machine vector for the Renesas EDOSK7751r board.
 */

#include <linux/config.h>
#include <linux/init.h>

#include <asm/machvec.h>
#include <asm/rtc.h>
#include <asm/machvec_init.h>

#include <asm/io_edosk7751r.h>

void heartbeat_edosk7751r(void);
void setup_edosk7751r(void);
void init_edosk7751r(void);

/*
 * The Machine Vector
 */

struct sh_machine_vector mv_edosk7751r __initmv = {
	mv_name:		"EDOSK7751R",

	mv_nr_irqs:		72,

	mv_inb:			sh_edosk7751r_inb,
	mv_inw:			sh_edosk7751r_inw,
	mv_inl:			sh_edosk7751r_inl,
	mv_outb:		sh_edosk7751r_outb,
	mv_outw:		sh_edosk7751r_outw,
	mv_outl:		sh_edosk7751r_outl,

	mv_inb_p:		sh_edosk7751r_inb_p,
	mv_inw_p:		sh_edosk7751r_inw,
	mv_inl_p:		sh_edosk7751r_inl,
	mv_outb_p:		sh_edosk7751r_outb_p,
	mv_outw_p:		sh_edosk7751r_outw,
	mv_outl_p:		sh_edosk7751r_outl,

	mv_insb:		sh_edosk7751r_insb,
	mv_insw:		sh_edosk7751r_insw,
	mv_insl:		sh_edosk7751r_insl,
	mv_outsb:		sh_edosk7751r_outsb,
	mv_outsw:		sh_edosk7751r_outsw,
	mv_outsl:		sh_edosk7751r_outsl,

	mv_readb:		sh_edosk7751r_readb,
	mv_readw:		sh_edosk7751r_readw,
	mv_readl:		sh_edosk7751r_readl,
	mv_writeb:		sh_edosk7751r_writeb,
	mv_writew:		sh_edosk7751r_writew,
	mv_writel:		sh_edosk7751r_writel,

	mv_ioremap:		generic_ioremap,
	mv_iounmap:		generic_iounmap,
	mv_isa_port2addr:	sh_edosk7751r_isa_port2addr,
	mv_init_arch:		setup_edosk7751r,
	mv_init_irq:		init_edosk7751r,
#ifdef CONFIG_HEARTBEAT
	mv_heartbeat:		heartbeat_edosk7751r,
#endif

	mv_rtc_gettimeofday:	sh_rtc_gettimeofday,
	mv_rtc_settimeofday:	sh_rtc_settimeofday,

	mv_hw_edosk7751r:		1,
};
ALIAS_MV(edosk7751r)
