/*
 * linux/arch/sh/systemh/mach.c
 *
 * Minor tweak of mach_se.c file to reference EDOSK7760.
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See linux/COPYING for more information.
 *
 * Machine vector for the Renesas EDOSK7760 board.
 */

#include <linux/config.h>
#include <linux/init.h>

#include <asm/machvec.h>
#include <asm/rtc.h>
#include <asm/machvec_init.h>

#include <asm/io_edosk7760.h>

void heartbeat_edosk7760(void);
void setup_edosk7760(void);
void init_edosk7760(void);

/*
 * The Machine Vector
 */

struct sh_machine_vector mv_edosk7760 __initmv = {
	mv_name:		"EDOSK7760",

	mv_nr_irqs:		128,

	mv_inb:			sh_edosk7760_inb,
	mv_inw:			sh_edosk7760_inw,
	mv_inl:			sh_edosk7760_inl,
	mv_outb:		sh_edosk7760_outb,
	mv_outw:		sh_edosk7760_outw,
	mv_outl:		sh_edosk7760_outl,

	mv_inb_p:		sh_edosk7760_inb_p,
	mv_inw_p:		sh_edosk7760_inw,
	mv_inl_p:		sh_edosk7760_inl,
	mv_outb_p:		sh_edosk7760_outb_p,
	mv_outw_p:		sh_edosk7760_outw,
	mv_outl_p:		sh_edosk7760_outl,

	mv_insb:		sh_edosk7760_insb,
	mv_insw:		sh_edosk7760_insw,
	mv_insl:		sh_edosk7760_insl,
	mv_outsb:		sh_edosk7760_outsb,
	mv_outsw:		sh_edosk7760_outsw,
	mv_outsl:		sh_edosk7760_outsl,

	mv_readb:		sh_edosk7760_readb,
	mv_readw:		sh_edosk7760_readw,
	mv_readl:		sh_edosk7760_readl,
	mv_writeb:		sh_edosk7760_writeb,
	mv_writew:		sh_edosk7760_writew,
	mv_writel:		sh_edosk7760_writel,

	mv_ioremap:		generic_ioremap,
	mv_iounmap:		generic_iounmap,

	mv_isa_port2addr:	sh_edosk7760_isa_port2addr,

	mv_init_arch:		setup_edosk7760,
	mv_init_irq:		init_edosk7760,
#ifdef CONFIG_HEARTBEAT
	mv_heartbeat:		0 /*heartbeat_edosk7760*/,
#endif

	mv_rtc_gettimeofday:	0 /*sh_rtc_gettimeofday*/,
	mv_rtc_settimeofday:	0 /*sh_rtc_settimeofday*/,

	mv_hw_edosk7760:		1,
};
ALIAS_MV(edosk7760)
