/* 
 * Copyright (C) 2003 Dave Peverley (dpeverley@mpc-data.co.uk)
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See linux/COPYING for more information.                            
 *
 * Defintions applicable to the Emtrion HiCO.SH3ST and compatible 
 * boards.
 */

#if defined(CONFIG_SH_HICO_SH3ST)

#define HICO_SH3ST_LED_ON     0xFF
#define HICO_SH3ST_LED_OFF    0x00
 
/*
 * Some register definitions. 
 */

/* Port J Data Register - 8 bit wide */
#define PJDR   0xA4000130  
#define PJ7DT  0x80
#define PJ6DT  0x40
#define PJ5DT  0x20
#define PJ4DT  0x10
#define PJ3DT  0x08
#define PJ2DT  0x04
#define PJ1DT  0x02
#define PJ0DT  0x01

/* Port J Control Register - 16 bit wide */
#define PJCR    0xA4000110  
#define PJ7MD1  0x8000
#define PJ7MD0  0x4000
#define PJ6MD1  0x2000
#define PJ6MD0  0x1000
#define PJ5MD1  0x0800
#define PJ5MD0  0x0400
#define PJ4MD1  0x0200
#define PJ4MD0  0x0100
#define PJ3MD1  0x0080
#define PJ3MD0  0x0040
#define PJ2MD1  0x0020
#define PJ2MD0  0x0010
#define PJ1MD1  0x0008
#define PJ1MD0  0x0004
#define PJ0MD1  0x0002
#define PJ0MD0  0x0001


#else
#error Unknown board
#endif
