/*
 * linux/arch/sh/hico_sh3st/mach.c
 *
 * Minor tweak of mach_se.c file to reference HICO.SH3ST.
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See linux/COPYING for more information.
 *
 * Machine vector for the Emtrion HICO.SH3ST board.
 */

#include <linux/config.h>
#include <linux/init.h>

#include <asm/machvec.h>
#include <asm/rtc.h>
#include <asm/machvec_init.h>

#include <asm/io_hico_sh3st.h>

void heartbeat_hico_sh3st(void);
void setup_hico_sh3st(void);
void init_hico_sh3st(void);

/*
 * The Machine Vector
 */

struct sh_machine_vector mv_hico_sh3st __initmv = {
	mv_name:		"HICO_SH3ST",

	mv_nr_irqs:		76,

	mv_inb:			sh_hico_sh3st_inb,
	mv_inw:			sh_hico_sh3st_inw,
	mv_inl:			sh_hico_sh3st_inl,
	mv_outb:		sh_hico_sh3st_outb,
	mv_outw:		sh_hico_sh3st_outw,
	mv_outl:		sh_hico_sh3st_outl,

	mv_inb_p:		sh_hico_sh3st_inb_p,
	mv_inw_p:		sh_hico_sh3st_inw,
	mv_inl_p:		sh_hico_sh3st_inl,
	mv_outb_p:		sh_hico_sh3st_outb_p,
	mv_outw_p:		sh_hico_sh3st_outw,
	mv_outl_p:		sh_hico_sh3st_outl,

	mv_insb:		sh_hico_sh3st_insb,
	mv_insw:		sh_hico_sh3st_insw,
	mv_insl:		sh_hico_sh3st_insl,
	mv_outsb:		sh_hico_sh3st_outsb,
	mv_outsw:		sh_hico_sh3st_outsw,
	mv_outsl:		sh_hico_sh3st_outsl,

	mv_readb:		sh_hico_sh3st_readb,
	mv_readw:		sh_hico_sh3st_readw,
	mv_readl:		sh_hico_sh3st_readl,
	mv_writeb:		sh_hico_sh3st_writeb,
	mv_writew:		sh_hico_sh3st_writew,
	mv_writel:		sh_hico_sh3st_writel,

	mv_ioremap:		generic_ioremap,
	mv_iounmap:		generic_iounmap,
	mv_isa_port2addr:	sh_hico_sh3st_isa_port2addr,
	mv_init_arch:		setup_hico_sh3st,
	mv_init_irq:		init_hico_sh3st,
#ifdef CONFIG_HEARTBEAT
	mv_heartbeat:		heartbeat_hico_sh3st,
#endif

	mv_rtc_gettimeofday:	sh_rtc_gettimeofday,
	mv_rtc_settimeofday:	sh_rtc_settimeofday,

	mv_hw_hico_sh3st:	1,
};
ALIAS_MV(hico_sh3st)
