/*
 * linux/arch/sh/hico_sh3st/setup.c
 *
 * Emtrion HiCO.SH3ST Board Initialisation
 * Dave Peverley, MPC Data Limited, 2003.
 */

#include <linux/config.h>
#include <linux/init.h>
#include <linux/irq.h>

#include <linux/hdreg.h>
#include <linux/ide.h>
#include <asm/io.h>
#include <asm/delay.h>

#include "hico_sh3st.h"

/* Bus state controller registers for CS4 area */
#define BSC_CS4BCR    0xA4FD0010
#define BSC_CS4WCR    0xA4FD0030 


extern void putDebugString (char *str);



int __init setup_hico_sh3st(void)
{
        unsigned long pjcr_state;
        unsigned char pjdr_state;

        printk("Emtrion HiCO.SH3ST port by MPC Data Limited\n");

	/* Setup CS4 area for access to Epson graphics card */
	/* TODO : Is this correct for the HiCO.SH3? I think prolly not.... */
	ctrl_outl(0x424A0400, BSC_CS4BCR);
	ctrl_outl(0x00040981, BSC_CS4WCR);

	/* 
	 * Set up port J for output for the LED's.
	 */
        pjcr_state = ctrl_inw(PJCR);
	pjcr_state &= ~(PJ7MD1 | PJ6MD1);
       	pjcr_state |= PJ7MD0 | PJ6MD0;
	ctrl_outw(pjcr_state, PJCR);
	
	/* Switch on both LEDs. */
	pjdr_state = ctrl_inb(PJDR);
	pjdr_state &= ~(PJ6DT | PJ7DT);
	ctrl_outb(pjdr_state, PJDR);

    	return 0;
}

void init_hico_sh3st(void)
{
	/* This is the Ethernet interrupt */
	make_imask_irq(0x04);


}



