/*
 * linux/arch/sh/jci_n40/mach.c
 *
 * Minor tweak of mach_se.c file to reference JCI N40.
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See linux/COPYING for more information.
 *
 * Machine vector for the Renesas JCI N40 board.
 */

#include <linux/config.h>
#include <linux/init.h>

#include <asm/machvec.h>
#include <asm/rtc.h>
#include <asm/machvec_init.h>

#include <asm/io_jci_n40.h>

void heartbeat_jci_n40(void);
void setup_jci_n40(void);
void init_jci_n40(void);
void heartbeat_jci_n40(void)
{
}

/*
 * The Machine Vector
 */

struct sh_machine_vector mv_jci_n40 __initmv = {
	mv_name:		"JCI_N40",

	mv_nr_irqs:		128,

	mv_inb:			sh_jci_n40_inb,
	mv_inw:			sh_jci_n40_inw,
	mv_inl:			sh_jci_n40_inl,
	mv_outb:		sh_jci_n40_outb,
	mv_outw:		sh_jci_n40_outw,
	mv_outl:		sh_jci_n40_outl,

	mv_inb_p:		sh_jci_n40_inb_p,
	mv_inw_p:		sh_jci_n40_inw,
	mv_inl_p:		sh_jci_n40_inl,
	mv_outb_p:		sh_jci_n40_outb_p,
	mv_outw_p:		sh_jci_n40_outw,
	mv_outl_p:		sh_jci_n40_outl,

	mv_insb:		sh_jci_n40_insb,
	mv_insw:		sh_jci_n40_insw,
	mv_insl:		sh_jci_n40_insl,
	mv_outsb:		sh_jci_n40_outsb,
	mv_outsw:		sh_jci_n40_outsw,
	mv_outsl:		sh_jci_n40_outsl,

	mv_readb:		sh_jci_n40_readb,
	mv_readw:		sh_jci_n40_readw,
	mv_readl:		sh_jci_n40_readl,
	mv_writeb:		sh_jci_n40_writeb,
	mv_writew:		sh_jci_n40_writew,
	mv_writel:		sh_jci_n40_writel,

	mv_ioremap:		generic_ioremap,
	mv_iounmap:		generic_iounmap,

	mv_isa_port2addr:	sh_jci_n40_isa_port2addr,

	mv_init_arch:		setup_jci_n40,
	mv_init_irq:		init_jci_n40,
#ifdef CONFIG_HEARTBEAT
	mv_heartbeat:		0, //heartbeat_jci_n40,
#endif

	mv_rtc_gettimeofday:	0, //sh_rtc_gettimeofday,
	mv_rtc_settimeofday:	0, //sh_rtc_settimeofday,

	mv_hw_jci_n40:		1,
};
ALIAS_MV(jci_n40)
