/*
 * linux/arch/sh/systemh/mach.c
 *
 * Minor tweak of mach_se.c file to reference 7751systemh-specific items.
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See linux/COPYING for more information.
 *
 * Machine vector for the Hitachi 7751 SystemH
 */

#include <linux/config.h>
#include <linux/init.h>

#include <asm/machvec.h>
#include <asm/rtc.h>
#include <asm/machvec_init.h>

#include <asm/io_7751systemh.h>

void heartbeat_7751systemh(void);
void setup_7751systemh(void);
void init_7751systemh_IRQ(void);

/*
 * The Machine Vector
 */

struct sh_machine_vector mv_7751systemh __initmv = {
	mv_name:		"7751 SystemH",

	mv_nr_irqs:		72,

	mv_inb:			sh7751systemh_inb,
	mv_inw:			sh7751systemh_inw,
	mv_inl:			sh7751systemh_inl,
	mv_outb:		sh7751systemh_outb,
	mv_outw:		sh7751systemh_outw,
	mv_outl:		sh7751systemh_outl,

	mv_inb_p:		sh7751systemh_inb_p,
	mv_inw_p:		sh7751systemh_inw,
	mv_inl_p:		sh7751systemh_inl,
	mv_outb_p:		sh7751systemh_outb_p,
	mv_outw_p:		sh7751systemh_outw,
	mv_outl_p:		sh7751systemh_outl,

	mv_insb:		sh7751systemh_insb,
	mv_insw:		sh7751systemh_insw,
	mv_insl:		sh7751systemh_insl,
	mv_outsb:		sh7751systemh_outsb,
	mv_outsw:		sh7751systemh_outsw,
	mv_outsl:		sh7751systemh_outsl,

	mv_readb:		sh7751systemh_readb,
	mv_readw:		sh7751systemh_readw,
	mv_readl:		sh7751systemh_readl,
	mv_writeb:		sh7751systemh_writeb,
	mv_writew:		sh7751systemh_writew,
	mv_writel:		sh7751systemh_writel,

	mv_ioremap:		generic_ioremap,
	mv_iounmap:		generic_iounmap,

	mv_isa_port2addr:	sh7751systemh_isa_port2addr,

	mv_init_arch:		setup_7751systemh,
	mv_init_irq:		init_7751systemh_IRQ,
#ifdef CONFIG_HEARTBEAT
	mv_heartbeat:		heartbeat_7751systemh,
#endif

	mv_rtc_gettimeofday:	sh_rtc_gettimeofday,
	mv_rtc_settimeofday:	sh_rtc_settimeofday,

	mv_hw_7751systemh:		1,
};
ALIAS_MV(7751systemh)
